Bug 1029994 - [abrt] gdb-7.6.50.20130731-16.fc20: munmap_chunk: Process /usr/bin/gdb was killed by signal 6 (SIGABRT)
[abrt] gdb-7.6.50.20130731-16.fc20: munmap_chunk: Process /usr/bin/gdb was ki...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:276e005b4d2697ed004c661fdd4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 11:28 EST by Fidel Leon
Modified: 2015-06-29 08:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:54:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (11.60 KB, text/plain)
2013-11-13 11:29 EST, Fidel Leon
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-13 11:29 EST, Fidel Leon
no flags Details
File: core_backtrace (7.44 KB, text/plain)
2013-11-13 11:29 EST, Fidel Leon
no flags Details
File: dso_list (3.53 KB, text/plain)
2013-11-13 11:29 EST, Fidel Leon
no flags Details
File: environ (3.66 KB, text/plain)
2013-11-13 11:29 EST, Fidel Leon
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-13 11:29 EST, Fidel Leon
no flags Details
File: maps (10.76 KB, text/plain)
2013-11-13 11:29 EST, Fidel Leon
no flags Details
File: open_fds (191 bytes, text/plain)
2013-11-13 11:29 EST, Fidel Leon
no flags Details
File: proc_pid_status (786 bytes, text/plain)
2013-11-13 11:29 EST, Fidel Leon
no flags Details
File: var_log_messages (508 bytes, text/plain)
2013-11-13 11:29 EST, Fidel Leon
no flags Details

  None (edit)
Description Fidel Leon 2013-11-13 11:28:59 EST
Description of problem:
I was debugging a simple C++ application from inside Eclipse:

#include <iostream>

using namespace std;

int main() {
	unsigned int *p;
	std::cout << *p << std::endl;
	delete p;
	return 0;
}

Version-Release number of selected component:
gdb-7.6.50.20130731-16.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gdb --interpreter mi2 --nx
crash_function: munmap_chunk
executable:     /usr/bin/gdb
kernel:         3.11.7-300.fc20.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 munmap_chunk at malloc.c:2785
 #6 splay_tree_remove at ../../libiberty/splay-tree.c:428
 #7 invalidate_block at ../../gdb/dcache.c:247
 #8 for_each_block at ../../gdb/dcache.c:209
 #9 dcache_invalidate at ../../gdb/dcache.c:256
 #10 target_dcache_invalidate at ../../gdb/target.c:253
 #11 target_resume at ../../gdb/target.c:2718
 #12 resume at ../../gdb/infrun.c:1972
 #13 proceed at ../../gdb/infrun.c:2328
 #14 step_once at ../../gdb/infcmd.c:1087
Comment 1 Fidel Leon 2013-11-13 11:29:11 EST
Created attachment 823525 [details]
File: backtrace
Comment 2 Fidel Leon 2013-11-13 11:29:15 EST
Created attachment 823527 [details]
File: cgroup
Comment 3 Fidel Leon 2013-11-13 11:29:20 EST
Created attachment 823528 [details]
File: core_backtrace
Comment 4 Fidel Leon 2013-11-13 11:29:25 EST
Created attachment 823529 [details]
File: dso_list
Comment 5 Fidel Leon 2013-11-13 11:29:30 EST
Created attachment 823530 [details]
File: environ
Comment 6 Fidel Leon 2013-11-13 11:29:34 EST
Created attachment 823531 [details]
File: limits
Comment 7 Fidel Leon 2013-11-13 11:29:38 EST
Created attachment 823532 [details]
File: maps
Comment 8 Fidel Leon 2013-11-13 11:29:43 EST
Created attachment 823533 [details]
File: open_fds
Comment 9 Fidel Leon 2013-11-13 11:29:48 EST
Created attachment 823534 [details]
File: proc_pid_status
Comment 10 Fidel Leon 2013-11-13 11:29:52 EST
Created attachment 823535 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2015-05-29 05:45:10 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-06-29 08:54:08 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.